Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511565 - journald: never block when sending messages on NOTIFY_SOCKET socket
Summary: journald: never block when sending messages on NOTIFY_SOCKET socket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 15:11 UTC by Lukáš Nykrýn
Modified: 2018-04-10 11:25 UTC (History)
4 users (show)

Fixed In Version: systemd-219-49.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 11:24:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0711 None None None 2018-04-10 11:25:16 UTC

Description Lukáš Nykrýn 2017-11-09 15:11:30 UTC
We might want to backport 
e22aa3d3284709234f086ebebc13a905a295b7a7

Marking as a blocker, so we won't forget about it.

Comment 1 Jan Synacek 2017-11-21 12:05:14 UTC
https://github.com/lnykryn/systemd-rhel/pull/172

Comment 3 Lukáš Nykrýn 2017-11-23 11:10:17 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/172 -> post

Comment 4 Jan Synacek 2017-11-23 11:30:50 UTC
And a follow-up PR:
https://github.com/lnykryn/systemd-rhel/pull/173

Comment 5 Lukáš Nykrýn 2017-11-23 12:06:56 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/173 -> post

Comment 7 Lukáš Nykrýn 2017-11-24 09:46:14 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/175 -> post

Comment 11 errata-xmlrpc 2018-04-10 11:24:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0711


Note You need to log in before you can comment on or make changes to this bug.